Συζήτηση
Γεια χαρά, Επισκέπτης
Όνομα χρήστη: Κωδικός: Να με θυμάσαι

ΘΕΜΑ: Geany

Geany 1 Χρόνος 11 Μήνες πριν #3134

  • lokatzis78
  • Το Άβαταρ του/της lokatzis78
  • Αποσυνδεμένος
  • p_____
  • Δημοσιεύσεις: 3
Γεία σας .
Είμαι καινούργιος στο προγραμματισμό και θέλω να σας καάνω μια ερώτηση .
Εχω τα ubuntu και βλέπω στο τερματικό οτι έχω προεγκατεστημενες και την python 2.7.5 και thn python 3.
Οταν ανοίγω το geany πια απο τις δύο δουλέυει . Εγώ θέλω την 3
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Geany 1 Χρόνος 11 Μήνες πριν #3135

  • embryo
  • Το Άβαταρ του/της embryo
  • Αποσυνδεμένος
  • pyth__
  • Δημοσιεύσεις: 78
  • Ληφθείσες Ευχαριστίες 29
Αν τρέξεις Python στο terminal ποια βγάζει?
Λογικά την 2.7
Για την 3 δες μια λύση εδώ.
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.
Οι ακόλουθοι χρήστες είπαν "Σε Ευχαριστώ": lokatzis78

Geany 1 Χρόνος 11 Μήνες πριν #3136

  • babaliaris1
  • Το Άβαταρ του/της babaliaris1
  • Αποσυνδεμένος
  • python
  • Δημοσιεύσεις: 395
  • Ληφθείσες Ευχαριστίες 59
lokatzis78 έγραψε:
Γεία σας .
Είμαι καινούργιος στο προγραμματισμό και θέλω να σας καάνω μια ερώτηση .
Εχω τα ubuntu και βλέπω στο τερματικό οτι έχω προεγκατεστημενες και την python 2.7.5 και thn python 3.
Οταν ανοίγω το geany πια απο τις δύο δουλέυει . Εγώ θέλω την 3

Πρέπει απλώς να αλλάξεις το path της python στο geany έτσι ώστε να χρησιμοποιεί την python 3
και όχι την 2.7.5 .

Στο geany πάνε: Edit > Preferences > Tools

Εκεί που λέει : x-terminal-emulator -e "/bin/sh %c"
Αντικατέστησέτο με : x-terminal-emulator -e "env PYTHONPATH=/mypath /bin/sh %c"

Ελπίζω να δουλέψει δεν είμαι και σίγουρος γιατί δεν έχω linux.
Η Python για μένα είναι η
καλύτερη γλώσσα προγραμματισμού!
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.
Οι ακόλουθοι χρήστες είπαν "Σε Ευχαριστώ": lokatzis78

Geany 1 Χρόνος 11 Μήνες πριν #3137

  • lokatzis78
  • Το Άβαταρ του/της lokatzis78
  • Αποσυνδεμένος
  • p_____
  • Δημοσιεύσεις: 3
Ευχαριστώ πολύ
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Geany 1 Χρόνος 11 Μήνες πριν #3146

  • pmav99
  • Το Άβαταρ του/της pmav99
  • Αποσυνδεμένος
  • Author
  • Δημοσιεύσεις: 674
  • Ληφθείσες Ευχαριστίες 108
Εν γένει, για να δεις ποια έκδοση χρησιμοποιείς, μπορείς να τρέξεις το ακόλουθο script
import sys
print(sys.version)
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Geany 1 Χρόνος 11 Μήνες πριν #3153

  • lokatzis78
  • Το Άβαταρ του/της lokatzis78
  • Αποσυνδεμένος
  • p_____
  • Δημοσιεύσεις: 3
εκανα το script και γραφει την 2.7.9
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Geany 1 Χρόνος 11 Μήνες πριν #3154

  • pmav99
  • Το Άβαταρ του/της pmav99
  • Αποσυνδεμένος
  • Author
  • Δημοσιεύσεις: 674
  • Ληφθείσες Ευχαριστίες 108
Τότε πρέπει να ρυθμίσεις το geany να βλέπει την python3. Με ένα γρήγορο googling νομίζω ότι μπορείς να το κάνεις έτσι αλλά δεν χρησιμοποιώ geany και δεν μπορώ να το δοκιμάσω:
lists.geany.org/pipermail/users/2012-February/007793.html
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.
Συντονιστές: pmav99
Χρόνος δημιουργίας σελίδας: 0.290 δευτερόλεπτα

Μοιράσου το!

Powered by CoalaWeb

Λίστα Ταχυδρομείου